/**
* @file FeatureLearningGeneric.cpp
* @brief abstract interface for feature learning algorithms
* @author Alexander Freytag
* @date 16-04-2013 (dd-mm-yyyy)

*/
#include <iostream>

#include <vislearning/baselib/Preprocess.h>

#include "FeatureLearningGeneric.h"

using namespace OBJREC;
using namespace std;
using namespace NICE;

FeatureLearningGeneric::FeatureLearningGeneric ( const Config *_conf, const std::string & _section )
{
  this->section = _section;  
  this->conf = _conf;  
  
  this->cacheInitialCodebook = this->conf->gS(this->section, "cacheInitialCodebook", "");
  this-> b_loadInitialCodebook = this->conf->gB(this->section, "loadInitialCodebook", "");
  this-> b_saveInitialCodebook = this->conf->gB(this->section, "saveInitialCodebook", "");  
  
  this->b_evaluationWhileFeatureLearning = this->conf->gB( this->section, "evaluationWhileFeatureLearning", false );
  
  this->b_showTrainingImages = conf->gB( section, "showTrainingImages", false );  
  this->b_showResults = conf->gB( section, "showResults", false );
  
  this->s_resultdir = conf->gS( section, "resultdir", "/tmp/");  
  
  Preprocess::Init ( _conf );
}

FeatureLearningGeneric::~FeatureLearningGeneric()
{
}

void FeatureLearningGeneric::learnNewFeatures ( const std::string & _filename )
{
}
